#ifndef CHECKCOMBOBOXWIDGET_H
#define CHECKCOMBOBOXWIDGET_H

//#include <QComboBox>
#include "IxWidget.h"
#include "ComboBoxWidget.h"

class CheckComboBoxWidget : public ComboBoxWidget
{
    Q_OBJECT
public:
    static const QString type;

public:
    CheckComboBoxWidget(QWidget *parent = nullptr);

public:
    virtual QVariant getValue() const;

    virtual void setValue(const QVariant &value);

    virtual bool isValueNull() const;

    virtual void clearInput();

public:
    bool eventFilter(QObject * watched, QEvent * event) ;

    void hidePopup() ;

    void showPopup() ;

    void setDelimiter(QString str){ _delimiter = str; }

    const QStringList getDictValues(){ return dictValues; }

signals:
    void selectedText(QStringList);

private:
    QString _delimiter = ",";

    QStringList  dictValues;

};

#endif // CHECKCOMBOBOXWIDGET_H
